## ros-kinetic-diagnostic-common-diagnostics 1.9.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(diagnostic_common_diagnostics)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS diagnostic_updater)

catkin_python_setup()

catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # Test CPU Monitor
  add_rostest(test/launch/test_cpu_monitor.launch)
  add_rostest(test/launch/test_cpu_monitor_level_ok.launch)
  add_rostest(test/launch/test_cpu_monitor_level_warn.launch)
endif()

install(PROGRAMS
  src/diagnostic_common_diagnostics/cpu_monitor.py
  src/diagnostic_common_diagnostics/hd_monitor.py
  src/diagnostic_common_diagnostics/ntp_monitor.py
  src/diagnostic_common_diagnostics/sensors_monitor.py
  src/diagnostic_common_diagnostics/tf_monitor.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-diagnostic-common-diagnostics (1.9.3-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.9.2-0xenial) xenial; urgency=high

  * FIX: add missing dependency
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.9.1-0xenial) xenial; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Added CPU percentage monitor
    CPU monitor that outputs the average CPU percentage and a percentage per
    CPU. The user can specify the warning CPU percentage. When one CPU exceeds
    this percentage, the diagnostics status is set to WARN.
  * Contributors: Rein Appeldoorn, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.9.0-0xenial) xenial; urgency=high

  * Remove warning for missing queue size specification
  * Contributors: sandeep

 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.10-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.9-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Mar 2016 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.8-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 06 Aug 2015 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.7-0xenial) xenial; urgency=high

  * Remove libsensors node because it isn't portable.
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 09 Jan 2015 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.6-0xenial) xenial; urgency=high

  * Add voltage sensor support
  * Add ignore_sensors parameter
  * Add license agreement
  * Style cleanup and error handling
  * Initial commit of libsensors based sensors_monitor
  * Contributors: Mitchell Wills, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.5-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 29 Jul 2014 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.4-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 20:51:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.3-0xenial) xenial; urgency=high

  * ntp_diagnostic now publishing more frequently to avoid stale
  * added install rules for the common diagnostics scripts
  * Contributors: Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Wed, 23 Apr 2014 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.2-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 08 Apr 2014 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.1-0xenial) xenial; urgency=high

  * Add myself as maintainer
  * fixed exporting python API to address #10 <https://github.com/ros/diagnostics/issues/10>
  * Contributors: Austin Hendrix, Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.8.0-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Apr 2013 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.11-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 20:24:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.10-0xenial) xenial; urgency=high

  * Changed package.xml version number before releasing
  * added missing license header
  * added missing license header
  * Contributors: Aaron Blasdel, Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Fri, 22 Feb 2013 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.9-0xenial) xenial; urgency=high

  * add missing dep to catkin
  * updated setup.py
  * Contributors: Dirk Thomas

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.8-0xenial) xenial; urgency=high

  * fix setup.py requires
  * Contributors: Dirk Thomas

 -- Austin Hendrix <namniart@gmail.com>  Thu, 06 Dec 2012 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.7-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 10 Nov 2012 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.6-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 23:32:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.5-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 21:53:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.4-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 20:18:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.3-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 04 Nov 2012 00:00:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.2-0xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 30 Oct 2012 22:31:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.1-0xenial) xenial; urgency=high

  * fix a few things after the first release
  * Contributors: Vincent Rabaud

 -- Austin Hendrix <namniart@gmail.com>  Tue, 30 Oct 2012 15:30:00 -0000

ros-kinetic-diagnostic-common-diagnostics (1.7.0-0xenial) xenial; urgency=high

  * catkinize the stack
  * backport the Python API from 1.7.0
  * Contributors: Vincent Rabaud

 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Oct 2012 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-diagnostic-common-diagnostics
Section: misc
Priority: extra
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-rospy, ros-kinetic-rostest
Homepage: http://ros.org/wiki/diagnostic_common_diagnostics
Standards-Version: 3.9.2

Package: ros-kinetic-diagnostic-common-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hddtemp, python-psutil, ros-kinetic-diagnostic-updater, ros-kinetic-rospy, ros-kinetic-tf
Description: diagnostic_common_diagnostics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-diagnostic-common-diagnostics//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
